#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.2
visibility:           public
id:                   clash-ghc-1.4.2-71rVfnv2X2oKbumUOZaUga
key:                  clash-ghc-1.4.2-71rVfnv2X2oKbumUOZaUga
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  36c9bf0dfa90b838381507da7dc3a6e6
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-9.0.1/site-local/clash-ghc-1.4.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/clash-ghc-1.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/clash-ghc-1.4.2
hs-libraries:         HSclash-ghc-1.4.2-71rVfnv2X2oKbumUOZaUga
depends:
    Cabal-3.4.0.0 array-0.5.4.0 base-4.15.0.0
    bifunctors-5.5.11-5RIYHi6X4vJC3s9Pyg6nS8 bytestring-0.10.12.1
    clash-lib-1.4.2-6H31ZGwKsNFBdLtO4cPrA1
    clash-prelude-1.4.2-2LI5EekwJU63t3Lp3iwhWO
    concurrent-supply-0.1.8-ChlIKQtUJsKBepHmh9pvmj containers-0.6.4.1
    deepseq-1.4.5.0 directory-1.3.6.1 exceptions-0.10.4
    extra-1.7.9-9Tdntvl0z7o9bNgOxU5KHM filepath-1.4.2.1 ghc-9.0.1
    ghc-bignum-1.0 ghc-boot-9.0.1 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.3-KVPrjFY9pc6EPn2cgL561Y
    ghc-typelits-knownnat-0.7.6-FeyDxbsMkLR5x3OxywuaYg
    ghc-typelits-natnormalise-0.7.6-8m88WMhJMyZ1whZnXqTLCt ghci-9.0.1
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE haskeline-0.8.1.0
    lens-5.0.1-FdpuvmTBMS53qHfLYlRUsS mtl-2.2.2
    primitive-0.7.1.0-426yJegKp37VSmhbxVnN0 process-1.6.11.0
    reflection-2.1.6-DPflT6pVVIx5teTIRaiTjO
    split-0.2.3.4-EOGBur3fzswDbYty7lcntO template-haskell-2.17.0.0
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-GwfBbYYJ6NF3AcP1tGaSs5 unix-2.7.2.2
    unordered-containers-0.2.14.0-9dFFYFCso8sGtsfFV1YYEC
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-6sPLZXQdGWkHzsFcCKoHc

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

